<?php include("../../../../wp-load.php"); ?>
 $(document).ready(function () {
     $("#send-button").click(function () {
         var valid = '';
         var name = $("#full-name").val();
         var mail = $("#mail").val();
         var phone = $("#phone").val();
         var message = $("#message").val();
		 
		function validateEmail(emailaddress) {
             var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
             if (!emailReg.test(emailaddress)) {
                 valid += "error";
                 $("#error-mail").html("E-mail adresa nije validna!");
             } else {
                 $("#error-mail").fadeOut();
             }
         }

         if (name.length < 1) {
             valid += "error";
             <?php if($_GET['lang'] == "hu") { ?>
			 $("#error-name").html("Kérjük adja meg a nevét!");
			 <?php } else { ?>
             $("#error-name").html("Molimo unesite Vaše ime!");
			 <?php } ?>
             $("#error-name").fadeIn();
         } else {
             $("#error-name").fadeOut();
         }
         if (mail.length < 1) {
             valid += "error";
			 <?php if($_GET['lang'] == "hu") { ?>
             $("#error-mail").html("Kérjük adja meg E-mail címét!");
			 <?php } else { ?>
             $("#error-mail").html("Molimo unesite Vašu E-Mail adresu!");
			 <?php } ?>
             $("#error-mail").fadeIn();
         } else {
             validateEmail(mail);
         }

         if (phone === "") {
             valid += "error";
			 <?php if($_GET['lang'] == "hu") { ?>
             $("#error-phone").html("Kérjük adja meg a telefonszámát!");
			 <?php } else { ?>
             $("#error-phone").html("Molimo unesite broj telefona!");
			 <?php } ?>
             $("#error-phone").fadeIn();
         } else {
             $("#error-phone").fadeOut();
         }

         if (message.length < 1) {
             valid += "error";
			 <?php if($_GET['lang'] == "hu") { ?>
             $("#error-message").html("Kérjük adja meg üzenetét!");
			 <?php } else { ?>
             $("#error-message").html("Molimo unesite Vašu poruku!");
			 <?php } ?>
             $("#error-message").fadeIn();
         } else {
             $("#error-message").fadeOut();
         }

         if (valid != '') {
             return false;
         } else {
		 
             message = message.replace('\n', '<br />', 'g');
             var datastr = 'name=' + name + '&mail=' + mail + '&phone=' + phone + '&message=' + message;
             $("#response").css("display", "block");
			 <?php if($_GET['lang'] == "hu") { ?>
             $("#response").html("Üzenet küldése...<img src='<?php bloginfo('template_url'); ?>/images/sendingmail.gif'>");
			 <?php } else { ?>
             $("#response").html("Slanje poruke...<img src='<?php bloginfo('template_url'); ?>/images/sendingmail.gif'>");
			 <?php } ?>
             $("#response").fadeIn("slow");
             setTimeout("send('" + datastr + "')", 2000);
         }
         return false;

     });
 });

 function send(datastr) {
     $.ajax({
         type: "POST",
         url: "<?php bloginfo('template_url'); ?>/contact.php?lang=<?php echo $_GET['lang']; ?>",
         data: datastr,
         cache: false,
         success: function (html) {
             $("#response").fadeIn("slow");
             $("#response").html(html);
             setTimeout('$("#response").fadeOut("slow")', 8000);
         }
     });
 }